- Qt 5.5
- Qt3D Module
- C++ Classes
- QBackendNodeFunctor
- Qt 5.5.1 Reference Documentation

# QBackendNodeFunctor Class

(Qt3D::QBackendNodeFunctor)

- List of all members, including inherited members

## Public Functions

virtual | ~QBackendNodeFunctor()
virtual QBackendNode * | create(QNode * frontend, const QBackendNodeFactory * factory) const = 0
virtual void | destroy(const QNodeId & id) const = 0
virtual QBackendNode * | get(const QNodeId & id) const = 0

## Member Function Documentation

### `[virtual]` QBackendNodeFunctor::~QBackendNodeFunctor()

### `[pure virtual]` QBackendNode * QBackendNodeFunctor::create(QNode * frontend, const QBackendNodeFactory * factory) const

### `[pure virtual]` void QBackendNodeFunctor::destroy(const QNodeId & id) const

### `[pure virtual]` QBackendNode * QBackendNodeFunctor::get(const QNodeId & id) const